Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.dd
Class DropTarget

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.dd.DragDrop
              com.gwtext.client.dd.DDTarget
                  com.gwtext.client.dd.DropTarget

Direct Known Subclasses:
  DropZone, PortalDropZone

    public class DropTarget

extends DDTarget

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`DropTarget(Component component, DropTargetConfig config)`
`DropTarget(com.google.gwt.user.client.Element element, DropTargetConfig config)`
`DropTarget(com.google.gwt.core.client.JavaScriptObject jsObj)`
`DropTarget(java.lang.String id, DropTargetConfig config)`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.user.client.Element element, java.lang.String sGroup, com.google.gwt.core.client.JavaScriptObject config)`
`protected com.google.gwt.core.client.JavaScriptObject` | `create(java.lang.String id, java.lang.String sGroup, com.google.gwt.core.client.JavaScriptObject config)`
`boolean` | `notifyDrop(DragSource source, EventObject e, DragData data)` The function `DragSource` calls once to notify this drop target that the dragged item has been dropped on it.
`java.lang.String` | `notifyEnter(DragSource source, EventObject e, DragData data)` The function a `DragSource` calls once to notify this drop target that the source is now over the target.
`void` | `notifyOut(DragSource source, EventObject e, DragData data)` The function a Ext.dd.DragSource calls once to notify this drop target that the source has been dragged out of the target without dropping.
`java.lang.String` | `notifyOver(DragSource source, EventObject e, DragData data)`

Methods inherited from class com.gwtext.client.dd.DragDrop
`addInvalidHandleClass, addInvalidHandleId, addInvalidHandleType, addToGroup, applyConfig, clearConstraints, clearTicks, endDrag, getDragEl, getEl, getGroups, getId, getInvalidHandleClasses, getInvalidHandleTypes, getPadding, getXTicks, getYTicks, hasOuterHandles, init, initTarget, isAvailable, isLocked, isMaintainOffset, isPrimaryButtonOnly, isTarget, isValidHandleChild, lock, onAvailable, onDrag, onDragDrop, onDragDrop, onDragEnter, onDragEnter, onDragOut, onDragOut, onDragOver, onDragOver, onInvalidDrop, onMouseDown, onMouseUp, removeFromGroup, removeInvalidHandleClass, removeInvalidHandleId, removeInvalidHandleType, resetConstraints, setDragElId, setHandleElId, setOuterHandleElId, setPadding, setXConstraint, setYConstraint, startDrag, toString, unlock, unreg`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropTarget

    public DropTarget(com.google.gwt.core.client.JavaScriptObject jsObj)

### DropTarget

    public DropTarget(java.lang.String id,
                      DropTargetConfig config)

### DropTarget

    public DropTarget(com.google.gwt.user.client.Element element,
                      DropTargetConfig config)

### DropTarget

    public DropTarget(Component component,
                      DropTargetConfig config)

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(java.lang.String id,
                                                                 java.lang.String sGroup,
                                                                 com.google.gwt.core.client.JavaScriptObject config)

  Overrides:
    `create` in class `DDTarget`

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.user.client.Element element,
                                                                 java.lang.String sGroup,
                                                                 com.google.gwt.core.client.JavaScriptObject config)

  Overrides:
    `create` in class `DDTarget`

### notifyDrop

    public boolean notifyDrop(DragSource source,
                              EventObject e,
                              DragData data)

  The function `DragSource` calls once to notify this drop target that the dragged item has been dropped on it. This method has no default implementation and returns false, so you must provide an implementation that does something to process the drop event and returns true so that the drag source's repair action does not run.

  Parameters:
    `source` - the drag source
    `e` - the event object
    `data` - an object containing arbitrary data supplied by the drag source
  Returns:
    true if the drop was valid, else false

### notifyEnter

    public java.lang.String notifyEnter(DragSource source,
                                        EventObject e,
                                        DragData data)

  The function a `DragSource` calls once to notify this drop target that the source is now over the target. This default implementation adds the CSS class specified by overClass (if any) to the drop element and returns the dropAllowed config value. This method should be overridden if drop validation is required.

  Parameters:
    `source` - The drag source that was dragged over this drop target
    `e` - The event
    `data` - An object containing arbitrary data supplied by the drag source
  Returns:
    The CSS class that communicates the drop status back to the source so that the underlying `StatusProxy` can be updated

### notifyOut

    public void notifyOut(DragSource source,
                          EventObject e,
                          DragData data)

  The function a Ext.dd.DragSource calls once to notify this drop target that the source has been dragged out of the target without dropping. This default implementation simply removes the CSS class specified by overClass (if any) from the drop element.

  Parameters:
    `source` -
    `e` -
    `data` -

### notifyOver

    public java.lang.String notifyOver(DragSource source,
                                       EventObject e,
                                       DragData data)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD